> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superlink.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Subdomain available

> Returns subdomain availability



## OpenAPI

````yaml GET /v1/parentdomains/{parentDomain}/subdomains/{subDomainName}
openapi: 3.0.1
info:
  title: Superlink
  description: API for Superlink
  termsOfService: https://assets.superlink.me/tos-v2.html
  contact:
    name: API Support
    url: https://superlink.me/about#contact-us
    email: support@superlink.me
  license:
    name: MIT
  version: 67ce35d94e3c397766edd997341ed79b7283e2f3
servers:
  - url: https://api.superlink.me/
security: []
paths:
  /v1/parentdomains/{parentDomain}/subdomains/{subDomainName}:
    get:
      tags:
        - subdomain
      summary: Returns subdomain availability
      description: Returns subdomain availability
      operationId: subdomain-available
      parameters:
        - name: parentDomain
          in: path
          description: superlink.me
          required: true
          schema:
            type: string
        - name: subDomainName
          in: path
          description: test
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.SubDomainAvailableResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.BadRequestResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.InternalServerErrorResponse'
components:
  schemas:
    api.SubDomainAvailableResponse:
      type: object
      properties:
        domain:
          type: string
          example: test1.test.eth
        status:
          type: object
          example: available
          allOf:
            - $ref: '#/components/schemas/api.SubdomainStatus'
    api.BadRequestResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/api.ErrorResponse'
    api.InternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          example: Internal server error
    api.SubdomainStatus:
      type: string
      enum:
        - available
        - unavailable
        - revoked
      x-enum-varnames:
        - SubdomainStatusAvailable
        - SubdomainStatusUnavailable
        - SubdomainStatusRevoked
    api.ErrorResponse:
      type: object
      properties:
        field:
          type: string
          example: field
        info:
          type: string
          example: error message

````